#
# spec file for package yast2-control-center-gnome
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-control-center-gnome
Version:        3.1.11
Release:        7.1

Summary:        YaST2 - Control Center (GNOME version)
License:        GPL-2.0+
Group:          System/YaST

Source:         %{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgnome-menu-3.0)
Requires:       yast2-control-center
Requires:       yast2_theme
Supplements:    gnome-main-menu
Provides:       yast2-control-center-binary
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A nicely GNOME integrated YaST control center, with several new ease of
use features.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

lang=("af" "ar" "bg" "be" "bn" "bs" "ca" "cs" "cy" "da" "de" "el" "en_GB" "en_US" "eo" "es" "et" "fi" "fr" "gl" "gu" "he" "hi" "hr" "hu" "id" "it" "ja" "ka" "km" "ko" "lo" "lt" "mk" "mr" "nb" "nl" "pa" "pl" "pt" "ro" "ru" "si" "sk" "sl" "sr" "sr@Latn" "sv" "ta" "tr" "uk" "vi" "wa" "xh" "zh_CN" "zh_TW" "zu")

for i in %{buildroot}%{_datadir}/desktop-directories/*.directory; do
   %suse_update_desktop_file "$i"
done
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/YaST-gnome-merged

for i in ${lang[@]}; do
   file=po/$i.po
   mkdir -p %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
   msgfmt -o %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/yast2-control-center-gnome.mo $file
done

%files
%defattr (-, root, root)
%doc COPYING README.md
%{_sysconfdir}/xdg/menus/*.menu
%{_sysconfdir}/xdg/menus/YaST-gnome-merged
%{_libexecdir}/YaST2/bin/y2controlcenter-gnome
%{_datadir}/desktop-directories/yast-gnome*.directory
%{_datadir}/yast2-control-center-gnome/
%{_datadir}/locale/

%changelog
* Mon Sep 19 2016 qzhao@suse.com
- Add yast2-control-center-gnome-translation.patch.
  Internationalization(bsc#877369).
* Mon Aug 31 2015 fezhang@suse.com
- Set scroll window size after it's realized. (bsc#893879)
- 3.1.10
* Fri Aug  8 2014 fezhang@suse.com
- fix the display problem in 800x600 (bnc#889959)
- 3.1.9
* Tue Aug  5 2014 fezhang@suse.com
- revert ellipsis and tooltip for icon text, and wrap text with
  PANGO_WRAP_WORD_CHAR instead of PANGO_WRAP_WORD (bnc#889961)
- 3.1.8
* Tue Jul 22 2014 fezhang@suse.com
- make category headings localized (bnc#877369)
- 3.1.7
* Sun Jun 29 2014 fezhang@suse.com
- fix memory leak
- 3.1.6
* Thu Jun 19 2014 fezhang@suse.com
- ellipsize overlong icon texts and add tooltips (bnc#879959)
- 3.1.5
* Mon Jun  2 2014 fezhang@suse.com
- Fix keyboard navigation in the search results (bnc#863950)
  + The patch is ported from upstream gnome-control-center
- 3.1.4
* Fri May 30 2014 fezhang@suse.com
- Remove redundant icon in search entry (bnc#873641)
- 3.1.3
* Thu Feb 27 2014 fcrozat@suse.com
- Add Support section in YaST control center to make SUSE Customer
  Center Configuration (yast2-registration.rpm) visible, like in
  the Qt menu.
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Tue Oct  8 2013 jreidinger@suse.com
- Use plain spec file to allow easy rebuild
- Add Rakefile to provide uniform access needed by CI
- 3.1.0
* Thu Sep 26 2013 lslezak@suse.cz
- fixed repeated start of a Yast module (bnc#827704) (by Michael
  Catanzaro)
- 3.0.1
* Wed Jul 31 2013 lslezak@suse.cz
- version 3.0.0
* Wed Feb 27 2013 tgoettlicher@suse.de
- Added dependency to yast2_theme
- Release 2.23.3
* Fri Feb 22 2013 mike.catanzaro@gmail.com
  Release 2.23.0
  Update code to gnome-control-center 3.6 branch. Most significant change
  is bigger sizes for the window and all icons.
  * configure.in.in: now requires x11
  * src/cut-n-paste/: update code from gnome-control-center
  * src/{control-center.c,gnome-control-center.c,shell.ui}: rebase on updated code
  * src/patch/: update patch to current changes
* Wed Jan 11 2012 vuntz@opensuse.org
- Update to version 2.21.3:
  + Update gnome-control-center code; this includes:
  - Window sizing fixes.
  - Small changes.
  - Build fixes on recent GNOME.
- Add new explicit pkgconfig(glib-2.0) BuildRequires, following
  upstream change.
* Fri Sep  2 2011 vuntz@opensuse.org
- Update to version 2.21.2:
  + Update gnome-control-center code; this includes:
  - port to the new gnome-menus library
  - do not display item title twice when searching
  - add Ctrl+Q as a way to exit the shell
  + Specify layout in YaST-gnome.menu to avoid alphabetical order.
- Change pkgconfig(libgnome-menu) BuildRequires to
  pkgconfig(libgnome-menu-3.0) to use the new gnome-menus library.
* Thu Jul 28 2011 vuntz@opensuse.org
- Update to version 2.21.1:
  + Do not depend on libgnome-control-center, which is going
    private upstream. Instead, keep a local copy of the code.
- Remove pkgconfig(libgnome-control-center) BuildRequires.
* Mon Jul 25 2011 vuntz@opensuse.org
- Update to version 2.21.0:
  + Port to GNOME 3, based on the code of the gnome-control-center
    shell.
- Change pkgconfig() BuildRequires to reflect dependency changes:
  + Old ones: libslab, unique-1.0.
  + New ones: gio-unix-2.0, gtk+-3.0, libgnome-control-center,
    libgnome-menu.
- Remove gconf schema handling, since there is no gconf schema
  anymore.
* Tue Apr 26 2011 vuntz@opensuse.org
- Move to pkgconfig()-style BuildRequires:
  + Old ones: libslab-devel, libunique-devel.
  + New ones: libslab, unique-1.0.
- This fixes the build with GNOME 3.
* Fri Aug 28 2009 vuntz@novell.com
- Update to version 2.13.4:
  + force not using the default handler for gconf errors, to avoid
    spammy dialog for errors
  + use the "current" icon theme for yast
  + move the gconf key to /apps/yast-control-center
  + synchronize code with code from the shell in
    gnome-control-center:
  - use goption
  - use libunique instead of bonobo
  - bigger icons
- Drop yast2-control-center-gnome-no-gconf-error-dialog.patch:
  now unneeded.
- Do not call autoreconf.
- Remove definition of prefix.
- Drop gnome-main-menu-devel, gnome-menus-devel, libgnomeui-devel
  BuildRequires.
- Add libslab-devel and libunique-devel BuildRequires.
- Drop gnome-main-menu, libgnomesu Requires.
- Use spec-cleaner script:
  + reorder lines in preamble.
  + remove AutoReqProv: it's default now.
  + use makeinstall macro.
* Sat Jan 31 2009 vuntz@novell.com
- Add yast2-control-center-gnome-no-gconf-error-dialog.patch: fix
  the error dialog popping up when run under "su" (not "su -"). Fix
  bnc#448398, bnc#470714 and probably a few others.
* Fri Jan 30 2009 vuntz@novell.com
- Review BuildRequires.
* Tue Sep 23 2008 mauro@suse.de
- Fix Requires, now asks for libgnomesu
  * Fixes bnc#388586
* Mon May 12 2008 mmichael@suse.de
- Update to version 2.13.3:
  * Fix random -S parameter from yast2 shell script wrapper
    (bnc#389069)
* Thu Mar 20 2008 vuntz@suse.de
- Require yast2-control-center. Without this, we don't have
  YaST.desktop and so the control center doesn't appear in menus.
  Fix bnc372569.
- Recompress the source to bz2.
* Wed Sep 26 2007 sreeves@suse.de
- Fix for 328615 - untranslated.
* Fri Aug 24 2007 sreeves@suse.de
- Fix for 247684 - remove empty icon hierarchy
  Fix for 8097 - use new yast window icon
  Fix for 297243 - change app armor icon name
* Tue May 22 2007 sreeves@suse.de
- Remove existing X-SuSE-translate from .directory files so
  suse_update_desktop_file wont error out
* Wed Apr 18 2007 sreeves@suse.de
- Fix for 245970 - install into y2bindir.
* Mon Mar 19 2007 sreeves@suse.de
- Fix for 254718 - additional menu entries
  Fix for 252799 - merge in additional menu files
* Tue Mar 13 2007 sreeves@suse.de
- Roll in all changes from SP1 branch:
    Fri Mar  9 20:44:02 CET 2007 - sreeves@suse.de
  - Fix for 250415 - allow different theming for the cc shell
    Fix for 249717 - change title to "YaST2 Control Center" - use the same string
    already in yast2-control-center package so we can use existing translations.
    Tue Mar  6 15:49:05 CET 2007 - cthiel@suse.de
  - Supplements: gnome-main-menu instead of gnome-desktop
    Mon Mar  5 15:59:17 CET 2007 - cthiel@suse.de
  - fix for #240240
  * Supplements: gnome-desktop
  * Provides: yast2-control-center-binary
    Thu Mar  1 00:04:48 CET 2007 - sreeves@suse.de
  - Call suse_update_desktop_file for all .directory files
    [#247812] will be fixed in yast2.rpm so remove desktop file
    Thu Feb 22 23:14:26 CET 2007 - sreeves@suse.de
  - Fix for no desktop file - #247812
    Includes changes by mmeeks to build project the "standard yast way"
    Thu Feb  1 23:44:45 CET 2007 - sreeves@suse.de
  - Fix for BNC #236464 - duplicated items.
    Fix for gnome.org #395133 - tasks launched twice.
    Fix for BNC #240242 - no common tasks.
    Remove .desktop file now that yast2 launches us
* Wed Jan 17 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Oct 24 2006 sreeves@suse.de
- Fix to build with new gnome-main-menu
* Mon Oct  9 2006 mmichael@suse.de
- import 1st cut.
